# CreateBankTransfer

Use this function to create a bank transfer.

The two sides of each bank transfer will automatically be recorded as RECEIVE-TRANSFER and SPEND-TRANSFER types in the GET BankTransactions endpoint. The BankTransationIDs are returned in responses for successful calls.

**Note** that the following functionality is not currently supported:

* You cannot specify the reference field.
* You cannot transfer between accounts in different currencies.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Bank transfer

The bank transfer to create.

Mandatory Items:

* **FromBankAccount**: An [account](https://developer.xero.com/documentation/api/accounts) of Type BANK to transfer from.
* **ToBankAccount**: An [account](https://developer.xero.com/documentation/api/accounts) of Type BANK to transfer to.
* **Amount**.

## Output

#### BankTransfer The bank transfer created.

## Links

[Xero Developer: Bank Transfer (PUT)](https://developer.xero.com/documentation/api/bank-transfers#PUT)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/banktransfers/createbanktransfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
